Subject: Re: [PATCH 00/17] Swap-over-NBD without deadlocking V10

From: Mel Gorman <[email-masked]>
Date: Mon, 14 May 2012 12:10:58 +0100

On Fri, May 11, 2012 at 02:29:32PM -0700, Andrew Morton wrote:
> On Fri, 11 May 2012 17:23:39 -0400 (EDT)
> David Miller <[email-masked]> wrote:
> 
> > From: Mel Gorman <[email-masked]>
> > Date: Fri, 11 May 2012 16:45:40 +0100
> > 
> > > From my point of view, the ideal would be that all the patches go
> > > through akpm's tree or yours but that probably will cause merge
> > > difficulties.
> > > 
> > > Any recommendations?
> > 
> > I know there will be networking side conflicts very soon, it's not a
> > matter of 'if' but 'when'.
> > 
> > But the trick is that I bet the 'mm' and 'slab' folks are in a similar
> > situation.
> > 
> > In any event I'm more than happy to take it all in my tree.
> 
> I guess either is OK.  The main thing is to get it all reviewed and
> tested, after all.
> 
> I can take all the patches once it's all lined up and everyone is
> happy.  If the net bits later take significant damage then I can squirt them
> at you once the core MM bits are merged.  That would give you a few
> days to check them over and get them into Linus.  If that's a problem,
> we can hold the net bits over for a cycle.
> 
> That's all assuming that the core MM parts are mergeable without the
> net parts being merged.  I trust that's the case!

I expect it to be the case as the series is (or at least should be)
bisect safe. If there is a conflict of some sort, just cut off at that
point and it should be fine until it gets fixed up.

-- 
Mel Gorman
SUSE Labs

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Fight unfair telecom internet charges in Canada: sign http://stopthemeter.ca/
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>